      SUBROUTINE PPZT(NPPOLE,Z)
C$$$  SUBPROGRAM DOCUMENTATION BLOCK
C                .      .    .                                       .
C SUBPROGRAM:    PPZT        FIX POLE VALUES IN LOLA STRIP ARRAY
C   PRGMMR: DEAVEN           ORG: W/NMC22    DATE: 89-03-31
C
C ABSTRACT: COMPUTES NORTH AND/OR SOUTH POLE ELEMENTS OF ARRAY
C   FROM NEAR-POLE ROW OF POINTS
C
C PROGRAM HISTORY LOG:
C   86-03-31  DEY         ???
C   89-12-30  DIMEGO      NEW DOCBLOCK
C
C USAGE:    CALL PPZT(NPPOLE,Z)
C   INPUT ARGUMENT LIST:
C     NPPOLE   - switch for which pole values to compute
C                =1 for South Pole only
C                =2 for North Pole only
C                =3 for both North and South Poles
C     Z        - (IMAX,JMAX) ARRAY OF VALUES    LOLA STRIP FORM
C
C   OUTPUT ARGUMENT LIST:
C     Z        - (IMAX,JMAX) ARRAY OF VALUES    POLE ROWS FIXED
C
C   SUBPROGRAMS CALLED:
C
C ATTRIBUTES:
C   LANGUAGE: STANDARD FORTRAN
C   MACHINE:
C
C$$$
      IMPLICIT REAL (A-H,O-Z)
      INCLUDE "parmanl"
      DIMENSION Z(IMAX,JMAX)
      IF( NPPOLE.EQ.1 .OR. NPPOLE.EQ.3 )  THEN
      ZSOUTH = 0.0
      DO 1 I = 1,IMAX
      ZSOUTH = ZSOUTH + Z(I,2)
1     CONTINUE
      ZSOUTH = ZSOUTH / IMAX
      DO 2 I = 1,IMAX
      Z(I,1) = ZSOUTH
2     CONTINUE
c         WRITE(6,200)ZSOUTH
c200      FORMAT(' ZSOUTH = ',G15.6)
      ENDIF
      IF( NPPOLE.EQ.2 .OR. NPPOLE.EQ.3 )  THEN
      ZNORTH = 0.0
      IN = JMAX - 1
      DO 3 I = 1,IMAX
      ZNORTH = ZNORTH + Z(I,IN)
3     CONTINUE
      ZNORTH = ZNORTH / IMAX
      DO 4 I = 1,IMAX
      Z(I,JMAX) = ZNORTH
4     CONTINUE
c         WRITE(6,201)ZNORTH
c201      FORMAT(' ZNORTH = ',G15.6)
      ENDIF
      RETURN
      END
